Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.commit
Class CommitImpl

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.commit.CommitImpl

All Implemented Interfaces:
  Commit, BambooObject

    public class CommitImpl

extends BambooEntityObject
implements Commit

Field Summary

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`CommitImpl()`

Method Summary
`Author` | `getAuthor()`
`BuildResultsSummary` | `getBuildResultsSummary()`
`String` | `getComment()`
`Date` | `getDate()`
`List` | `getFiles()`
`void` | `setAuthor(Author author)`
`void` | `setBuildResultsSummary(BuildResultsSummary buildResultsSummary)`
`void` | `setComment(String comment)`
`void` | `setDate(Date date)`
`void` | `setFiles(List files)`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.core.BambooObject
`getId, setId`

Constructor Detail

### CommitImpl

    public CommitImpl()

Method Detail

### getAuthor

    public Author getAuthor()

  Specified by:
    `getAuthor` in interface `Commit`
  Returns:
    `Author` who made the commit

### setAuthor

    public void setAuthor(Author author)

### getFiles

    public List getFiles()

  Specified by:
    `getFiles` in interface `Commit`
  Returns:
    `List` of `CommitFile` objects representing changed files

### setFiles

    public void setFiles(List files)

### getComment

    public String getComment()

  Specified by:
    `getComment` in interface `Commit`
  Returns:
    the commit comment

### setComment

    public void setComment(String comment)

### getDate

    public Date getDate()

  Specified by:
    `getDate` in interface `Commit`
  Returns:
    `Date` of commit.

### setDate

    public void setDate(Date date)

### getBuildResultsSummary

    public BuildResultsSummary getBuildResultsSummary()

  Specified by:
    `getBuildResultsSummary` in interface `Commit`
  Returns:
    `BuildResultsSummary` whic this commit belongs to

### setBuildResultsSummary

    public void setBuildResultsSummary(BuildResultsSummary buildResultsSummary)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.